Bug 1171638 - [RFE] Allow to avoid lock screen on spice disconnect
Summary: [RFE] Allow to avoid lock screen on spice disconnect
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: RFEs
Version: ---
Hardware: Unspecified
OS: All
medium
medium vote
Target Milestone: ovirt-3.6.0-rc
: 3.6.0
Assignee: Vinzenz Feenstra [evilissimo]
QA Contact: Shira Maximov
URL:
Whiteboard: virt
Keywords: FutureFeature
Depends On:
Blocks: 758516
TreeView+ depends on / blocked
 
Reported: 2014-12-08 09:48 UTC by Vinzenz Feenstra [evilissimo]
Modified: 2016-02-10 19:24 UTC (History)
20 users (show)

(edit)
Clone Of: 758516
(edit)
Last Closed: 2015-11-04 11:20:20 UTC
rule-engine: ovirt-3.6.0+
ylavi: planning_ack+
rule-engine: devel_ack+
rule-engine: testing_ack+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 34079 master MERGED Allow to avoid lock screen on spice disconnect Never
oVirt gerrit 34265 master MERGED virt: Configurable actions on console disconnect Never
oVirt gerrit 35416 master MERGED linux: Logout active user support Never

Description Vinzenz Feenstra [evilissimo] 2014-12-08 09:48:13 UTC
RFE: Do not lock screen on spice disconnect.


When a SPICE session is disconnected then reconnected, the VM's 'screen' is locked. Some users are looking for a per VM option to not lock the screen on spice session exit. The VMs are Windows XP (32bit)SP2/SP3.  Later they will include Windows 7 (32 and 64bit) as well.
Users have some VMs that are intended to be shared between multiple people and permanently logged in as a low privileged user. 

Functional requirements:

Provide an option to control spice session behaviour on session disconnect. Currently on exit of spice session it locks the VM screen.

There will be an option to tell spice not to lock screen on disconnect.

Comment 1 Max Kovgan 2015-06-28 14:12:20 UTC
ovirt-3.6.0-3 release

Comment 2 Shira Maximov 2015-10-20 12:52:32 UTC
verified on :
Red Hat Enterprise Virtualization Manager Version: 3.6.0.1-0.1.el6

link to test run :https://polarion.engineering.redhat.com/polarion/#/project/RHEVM3/testrun?id=3%5F6%5FVIRT%5FAllow%5Fto%5Favoid%5Flock%5Fscreen%5Fon%5Fspice%5F20%5F10

Comment 3 Sandro Bonazzola 2015-11-04 11:20:20 UTC
oVirt 3.6.0 has been released on November 4th, 2015 and should fix this issue.
If problems still persist, please open a new BZ and reference this one.


Note You need to log in before you can comment on or make changes to this bug.